package org.jeecg.modules.bytedance.advertise.service;

import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.bytedance.advertise.entity.BytedanceVideoSlogenInfo;

import java.util.List;

/**
 * 头条视频文案信息
 * @author jeecg-boot
 * 2021-04-19
 * @version V1.0
 */
public interface IBytedanceVideoSlogenInfoService extends IService<BytedanceVideoSlogenInfo> {

    void insertSlogans(String videoCode, JSONArray slogans, String userId);

    List<BytedanceVideoSlogenInfo> listByParams(String code, Integer status);

    Result getVideoSlogenReport(String accountId,String keyWord, String startTime, String endTime, Integer pageNum, Integer pageSize);
}
