package org.jeecg.modules.bytedance.advertise.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * @author zianY
 *获取广告组 入参
 */
@Data
public class AdGroupSearchVo implements Serializable {
    //广告组ID过滤，数组，不超过100个
    private String[] ids;
    //广告组name过滤，长度为1-30个字符，其中1个中文字符算2位
    private String campaign_name;
    //广告组推广目的过滤
    private String landing_type;
    //广告组状态过滤，默认为返回“所有不包含已删除”，如果要返回所有包含已删除有对应枚举表示
    private String status;
    //广告组创建时间，格式yyyy-mm-dd，表示过滤出当天创建的广告组
    private String campaign_create_time;


}
